%if 0%{?rhel} && 0%{?rhel} <= 7
%global buildsys cmake
%global buildsys_req cmake >= 2.8.5
%else
%global buildsys meson
%global buildsys_req meson >= 0.36.0
%endif

Name:           microdnf
Version:        1
Release:        1%{?dist}
Summary:        Micro DNF

License:        GPLv3+
URL:            https://github.com/rpm-software-management/microdnf
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  %{buildsys_req}
BuildRequires:  pkgconfig(glib-2.0) >= 2.44.0
BuildRequires:  pkgconfig(gobject-2.0) >= 2.44.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.15.0
BuildRequires:  pkgconfig(libdnf) >= 0.7.0

%description
%{summary}.

%prep
%autosetup

%if %{buildsys} == "cmake"
%build
mkdir %{_target_platform}
pushd %{_target_platform}
  %cmake .. -DCMAKE_BUILD_TYPE=RelWithDebInfo
popd
%make_build -C %{_target_platform}

%install
%make_install -C %{_target_platform}
%endif

%if %{buildsys} == "meson"
%build
%meson
%meson_build

%install
%meson_install
%endif

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}

%changelog
* Mon Dec 12 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1-1
- Initial package
